Subject: Re: bug#9323: Non-recursive make build systems and M-x compile

From: Andreas Schwab <[email-masked]>
Date: Fri, 19 Aug 2011 21:46:52 +0200

Reuben Thomas <[email-masked]> writes:

> On 19 August 2011 14:41, Andreas Schwab <[email-masked]> wrote:
>> Reuben Thomas <[email-masked]> writes:
>>
>>> That's great, but it's not documented for users (it's mentioned in
>>> comments in lisp.el). How about adding something to compile's
>>> docstring along the lines of:
>>>
>>> To launch a compilation in a directory other than that of the buffer,
>>> prefix the compilation command with `cd ..;' or similar; compile will
>>> parse this to set the default directory of the compile buffer.
>>
>> ??? That's exactly what "make -C ..." accomplishes.
>
> That's right, but compile.el does not parse the directory out of a
> "make -C .." command,

Yes, it does.  The directory is displayed by the entering message.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."